Package: groovy.org.codenarc.rule.basic

## [Groovy] Class ConstantIfExpressionRule

- groovy.org.codenarc.rule.basic.ConstantIfExpressionRule

- Rule that checks for if statement with a constant value for the if expression, such as:

  - `if (true) { .. }`
  - `if (false) { .. }`
  - `if (Boolean.TRUE) { .. }`
  - `if (Boolean.FALSE) { .. }`
  - `if (null) { .. }`
  - `if (0) { .. }`
  - `if (99.7) { .. }`
  - `if ("") { .. }`
  - `if ("abc") { .. }`
  - `if ([a:123, b:456]) { .. }`
  - `if ([a, b]) { .. }`
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority